package funkcje;

import static org.junit.Assert.*;

import org.junit.Test;

public class SilniaTest {

	@Test
	public void testSilnia0() {
		long wynik = Funkcje.silnia(0);
		assertEquals(1, wynik);
	}
	
	@Test
	public void testSilnia2() {
		long wynik = Funkcje.silnia(2);
		assertEquals(2, wynik);
	}

	@Test
	public void testSilnia5() {
		long wynik = Funkcje.silnia(5);
		assertEquals(120, wynik);
	}

	@Test
	public void testSilnia10() {
		long wynik = Funkcje.silnia(10);
		assertEquals(3628800, wynik);
	}

}
